Subject: bug#9959: 24.0.90; `count-words' command from a narrowed buffer

From: Chong Yidong <[email-masked]>
Date: Wed, 18 Jul 2012 22:32:38 +0800

Kevin Rodgers <[email-masked]> writes:

> On 11/6/11 8:34 AM, Drew Adams wrote:
>
>> Or maybe both counts could be shown, making it a bit clearer what the info is?
>> "Buffer (restriction): 1135 (112) lines, 6894 (673) words, 70452
>> (6074) chars".
>> And in that case, maybe "Buffer (narrowed)..." would be better.  Another
>> possibility (shorter):
>>
>>   Narrowed/total: 112/1135 lines, 673/6894 words, 6074/70452 chars
>
> If I've narrowed a very large buffer to a small region, I am not interested in
> the counts for the entire buffer nor willing to wait for them.

Agreed.  I committed the simplest version, i.e. reporting "Narrowed part
of buffer" in the message.  I'll leave this open in case as a wishlist
item; if anyone wants to implement the more complicated reporting with
C-u, feel free.